#数据源配置
spring:
   cloud.discovery.client.simple:
      # 配置system服务「system-service」的ip和端口
      instances:
         system-service:
         - host: 39.103.207.159 #地址
           port: 6161 #端口
         bi-service:
         - host: 39.103.207.159 #地址
           port: 6060 #端口
   redis:
      host: 39.103.199.78
      password: zbc123456
      port: 6379
      database: 7
      ssl: false
   datasource:
      dynamic:
         druid:
            validation-query: select 1
            validation-query-timeout: 2000
            initial-size: 0
            max-active: 20
            min-idle: 5
            max-wait: 60000
            test-on-borrow: false
            test-on-return: false
            test-while-idle: false
            time-between-eviction-runs-millis: 60000
            min-evictable-idle-time-millis: 300000
            stat-view-servlet:
               enabled: false
            web-stat-filter:
               enabled: false
            filters: stat
         primary: master
         datasource:
            master:
               driver-class-name: com.mysql.cj.jdbc.Driver
               url: jdbc:mysql://39.103.207.159:3306/digital_operation?useSSL=false&useUnicode=true&characterEncoding=utf-8&autoReconnect=true
               username: digital
               password: Dgb6inMBYtsMT#rS
blade:
   file:
      uploadPath: D://www/upload/

config:
  # Windows配置（静态资源根目录和代码生成器临时目录）
  Path: D://www/upload/flowable/resources
  ServiceDirectoryPath: D://www/upload/flowable/resources/code

  # Linux配置（静态资源根目录和代码生成器临时目录）
  # Path: /www/wwwroot/Resources/
  # ServiceDirectoryPath: /www/wwwroot/Resources/CodeTemp/
  #是否开启测试环境
  TestVersion: false
  # 文件存储类型(local-本地存储，minio-网络存储)
  fileType: local
  WebAnnexFilePath: WebAnnexFile
  DataBackupFilePath: DataBackupFile
  TemporaryFilePath: TemporaryFile
  SystemFilePath: SystemFile
  TemplateFilePath: TemplateFile
  EmailFilePath: EmailFile
  DocumentFilePath: DocumentFile
  DocumentPreviewPath: DocumentPreview
  UserAvatarFilePath: UserAvatar
  IMContentFilePath: IMContentFile
  MPMaterialFilePath: MPMaterial
  TemplateCodePath: TemplateCode
  BiVisualPath: BiVisualPath
  MPUploadFileType: bmp,png,jpeg,jpg,gif,mp3,wma,wav,amr,mp4
  WeChatUploadFileType: jpg,png,doc,docx,ppt,pptx,xls,xlsx,pdf,txt,rar,zip,csv,amr,mp4
  AllowUploadImageType: jpg,gif,png,bmp,jpeg,tiff,psd,swf,svg,pcx,dxf,wmf,emf,lic,eps,tga
  AllowUploadFileType: jpg,gif,png,bmp,jpeg,doc,docx,ppt,pptx,xls,xlsx,pdf,txt,rar,zip,csv
  #代码生成器模块命名
  CodeAreasName: example

  #===============系统错误邮件报告反馈相关==================
  SoftName: jnpf-java-boot
  SoftFullName: JNPF软件开发平台
  AppVersion: V3.2.4
  AppUpdateContent: ;
  # 当前域名配置(文档预览中使用)
  Domain: http://localhost:6969
  #=====================================
  RecordLog: true
  ErrorReport: false
  ErrorReportTo: 2471089198@qq.com
  #多租户是否开启
  MultiTenancy: false
  MultiTenancyUrl: http://127.0.0.1:30006/api/tenant/DbName/
  IgexinEnabled: true
  IgexinAppid: HLFY9T2d1z7MySY8hwGwh4
  IgexinAppkey: 6Uiduugq648YDChhCjAt59
  IgexinMastersecret: pEyQm156SJ9iS7PbyjLCZ6
  SoftVersion: V3.2.4
  #===============跨域配置==================
  Origins: http://127.0.0.1,http://192.168.0.16:90
  Methods: GET,HEAD,POST,PUT,DELETE,OPTIONS

  #============yozo===========
# 永中office在线预览配置
  YozoDomain: //dcsapi.com/
  YozoDomainKey: 57462250284462899305150
  YozoCloudDomain: //dmc.yozocloud.cn
  YozoAppId: yozoAgR41jgC0062
  YozoAppKey: fc3134a9ba8bc6f4c69d635f9adf
  YozoEditDomain: //eic.yozocloud.cn
